Create a message
curl --request POST \
--url https://app.sure.am/api/v1/chats/{chat_id}/messages \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"content": "<string>",
"model": "<string>"
}
'import requests
url = "https://app.sure.am/api/v1/chats/{chat_id}/messages"
payload = {
"content": "<string>",
"model": "<string>"
}
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({content: '<string>', model: '<string>'})
};
fetch('https://app.sure.am/api/v1/chats/{chat_id}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"content": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"chat_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"model": "<string>",
"tool_calls": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"function_name": "<string>",
"function_arguments": {},
"created_at": "2023-11-07T05:31:56Z",
"function_result": {}
}
],
"ai_response_message": "<string>"
}{
"error": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}{
"error": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}Chats
Create a message
POST
/
api
/
v1
/
chats
/
{chat_id}
/
messages
Create a message
Authorizations
API key for authentication. Generate one from your account settings.
Path Parameters
Chat ID
Response
message created
Available options:
user_message, assistant_message Available options:
user, assistant Show child attributes
Show child attributes
Available options:
pending, complete, failed Was this page helpful?
⌘I